IVA_QC(1)

NAME
iva_qc - compare an assembly to a reference

DESCRIPTION
usage: iva_qc [options] {(-f <reads_1.fq> -r <reads_2.fq>) | --fr reads.fq} {(--embl_dir | --ref_db) <directory>} <assembly.fasta> <prefix of output files>

  positional arguments:

assembly.fasta
    Name of assembly fasta file to be compared to reference

prefix of output files
    Prefix to use for name of all output files

  options:

-h, --help
    show this help message and exit

  Reference options (REQUIRED: either --embl_dir or --ref_db):

--embl_dir Directory
    Directory of reference EMBL files. If not used, must use --ref_db

--ref_db Directory
    Directory of database made by iva_qc_make_db. If not used, must use --embl_dir

  Reads options (REQUIRED: either --fr, or (-f and -r)):

-f, --reads_fwd filename[.gz]
    Name of forwards reads fasta or fastq file. Must be used with --reads_rev

-r, --reads_rev filename[.gz]
    Name of reverse reads fasta or fastq file. Must be used with --reads_rev

--fr filename[.gz]
    Name of interleaved fasta/q file

  MUMmer options:

--cds_min_hit_length INT
    Minimum hit length when running nucmer of CDS sequences against contigs [30]

--cds_min_hit_id FLOAT
    Minimum hit percent identity when running nucmer of CDS sequences against contigs [80]

--ctg_min_hit_length INT
    Minimum hit length when running nucmer of contigs against reference [100]

--ctg_min_hit_id FLOAT
    Minimum hit percent identity when running nucmer of contigs against reference [80]

  SMALT mapping options:

-k, --smalt_k INT
    kmer hash length in SMALT (the -k option in smalt index) [15]

-s, --smalt_s INT
    kmer hash step size in SMALT (the -s option in smalt index) [3]

-y, --smalt_id FLOAT
    Minimum identity threshold for mapping to be reported (the -y option in smalt map) [0.5]

  External tools:

--gage_minid INT in [0,100]
    Minimum percent identity used when GAGE runs nucmer [80]

--kraken_preload
    Use the --preload option when running kraken

--ratt_config filename
    Specify your own RATT config file [None]

  Other options:

--ctg_layout_plot_title STRING
    Title to use in contig layout plot [IVA QC contig layout and read depth]

--min_ref_cov INT
    Minimum read coverage of the reference, on each strand, to count as OK coverage [5]

--noclean
    Do not clean temporary files

--threads INT
    Number of threads to use [1]

--version
    show program's version number and exit

You must supply reads in one of two ways: 1) both --reads_fwd and --reads_rev; or 2) --fr. Also, you must either supply a reference with --embl_dir, or choose one automatically from a database with --ref_db.